@use '/src/mainColor' as *;

.light-mode {
  .fields-form {
    --field-type-color: #{mainColor(60%)};
    --field-type-back: #{mainColor(93%)};
  }
}
.dark-mode {
  .fields-form {
    --field-type-color: #{mainColor(60%)};
    --field-type-back: #{mainColor(20%)};
  }
}

.fields-form {
  overflow: visible;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  
  .tooltip-btn {
    text-align: center;
    display: flex;
    align-items: center;

    > .tooltip {
      display: flex;
      flex-direction: column;
      align-items: center;

    }

  }

  .sortable-list {
    margin: .5em 0;

    .field-name {
      white-space: nowrap;
      font-size: 1em;
    }
    .field-type {
      white-space: nowrap;
      font-weight: bold;
      font-size: .8em;
      margin: 0 .5em;
      padding: .1em .4em;
      border-radius: .25em;
      color: var(--field-type-color);
      background: var(--field-type-back);
    }
  }
}